Api
List profiles
Paged profile directory for selection and metadata sync. Use `from` and `to` to filter on `updatedAt` in Unix milliseconds.
GET
/v1/profilesPaged profile directory for selection and metadata sync. Use from and to to filter on updatedAt in Unix milliseconds.
Authorization
BearerAuth AuthorizationBearer <token>
Database-provisioned API token for consumer API access. Send as Authorization: Bearer .
In: header
Query Parameters
from?integer
Inclusive lower bound on updatedAt in Unix milliseconds.
to?integer
Inclusive upper bound on updatedAt in Unix milliseconds.
limit?integer
Default
50Range
1 <= value <= 100cursor?string
Response Body
application/json
application/json
application/json
curl -X GET "https://scraper.greenchoice.thirty-five.dev/v1/profiles"{
"data": [
{
"profileId": "string",
"name": "string",
"description": "string",
"postalCode": "string",
"houseNumber": "string",
"electricityUsage": "string",
"gasUsage": "string",
"energyReturn": "string",
"createdAt": 0,
"updatedAt": 0
}
],
"pagination": {
"limit": 1,
"nextCursor": "string",
"hasMore": true
}
}{
"error": "string",
"code": "bad_request"
}{
"error": "string",
"code": "bad_request"
}